com.microfocus.awm.core

## Class FilepathUtility

- java.lang.Object
- - com.microfocus.awm.core.FilepathUtility

-     public class FilepathUtility
      extends java.lang.Object

  Contains helper methods like getting specific fragments from a file path.
  Author:
    Christelle Biahmou

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FilepathUtility()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `getFilename(java.lang.String pFilePath, java.lang.String pFileSep)` Parses the filename out of a full qualified file path
    `static java.lang.String` | `getParentName(java.lang.String pFilePath, java.lang.String pFileSep)` Parses the parent name out of a full qualified file path
    `static java.lang.String` | `getParentPath(java.lang.String pFilePath, java.lang.String pFileSep)` Parses the full parent path out of a full qualified file path
    `static java.lang.String` | `getSuffix(java.lang.String pFilePath, java.lang.String pFileSep)` Parses the suffix out of a full qualified file path
    `static boolean` | `isLocalFile(java.lang.String pFilePath)` checks if the given file path corresponds to a local file.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FilepathUtility

          public FilepathUtility()

  - ### Method Detail

    - #### isLocalFile

          public static boolean isLocalFile(java.lang.String pFilePath)

      checks if the given file path corresponds to a local file.
      Parameters:
        `pFilePath` - the file path to check
      Returns:
        `true` if the given file path corresponds to a local file, otherwise `false`

    - #### getParentPath

          public static java.lang.String getParentPath(java.lang.String pFilePath,
                                                       java.lang.String pFileSep)

      Parses the full parent path out of a full qualified file path
      Parameters:
        `pFilePath` - the file path to parse
        `pFileSep` - the file separator
      Returns:
        the parent path of the full file path

    - #### getParentName

          public static java.lang.String getParentName(java.lang.String pFilePath,
                                                       java.lang.String pFileSep)

      Parses the parent name out of a full qualified file path
      Parameters:
        `pFilePath` - the file path to parse
        `pFileSep` - the file separator
      Returns:
        the parent name of the full file path

    - #### getFilename

          public static java.lang.String getFilename(java.lang.String pFilePath,
                                                     java.lang.String pFileSep)

      Parses the filename out of a full qualified file path
      Parameters:
        `pFilePath` - the file path to parse
        `pFileSep` - the file separator
      Returns:
        the filename of the full file path

    - #### getSuffix

          public static java.lang.String getSuffix(java.lang.String pFilePath,
                                                   java.lang.String pFileSep)

      Parses the suffix out of a full qualified file path
      Parameters:
        `pFilePath` - the file path to parse
        `pFileSep` - the file separator
      Returns:
        the suffix of the full file path

Copyright © 2015 Micro Focus GmbH. All rights reserved.